Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime
Class PDeletedState

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.JDOState
            |
            +--com.solarmetric.kodo.runtime.PDeletedState

Direct Known Subclasses:
  PDeletedFlushedState

class PDeletedState
extends JDOState

JDO lifecycle state.

Represents a persistent instance that has been deleted in the current transaction.

Fields inherited from class com.solarmetric.kodo.runtime.JDOState
`HOLLOW, PCLEAN, PDELETED, PDELETEDFLUSHED, PDIRTY, PNEW, PNEWDELETED, PNEWDELETEDFLUSHED, PNEWFLUSHED, PNEWFLUSHEDDELETED, PNEWFLUSHEDDELETEDFLUSHED, PNONTRANS, TCLEAN, TDIRTY, TRANSIENT`

Constructor Summary
`(package private)` | `PDeletedState()`

Method Summary
`(package private) JDOState` | `beforeOptimisticRead(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read in an optimistic transaction.
`(package private) JDOState` | `beforeOptimisticWrite(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an optimistic transaction.
`(package private) JDOState` | `beforeRead(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read within an active transaction.
`(package private) JDOState` | `beforeWrite(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an active transaction.
`(package private) JDOState` | `commit(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction commit.
`(package private) JDOState` | `commitRetain(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction commit with the retainValues flag set.
`(package private) JDOState` | `flush(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction flush.
`(package private) void` | `initialize(StateManagerImpl context)` Called when this state is first assigned to the given state manager.
`(package private) boolean` | `isDeleted()` Return whether this is a deleted state.
`(package private) boolean` | `isDirty()` Return whether this is a dirty state.
`(package private) boolean` | `isPersistent()` Return whether this is a persistent state.
`(package private) boolean` | `isTransactional()` Return whether this is a transactional state.
`(package private) JDOState` | `makeNontransactional(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeNontransactional(java.lang.Object)` with the given instance.
`(package private) JDOState` | `makeTransient(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeTransient(java.lang.Object)` with the given instance.
`(package private) JDOState` | `rollback(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction rollback.
`(package private) JDOState` | `rollbackRetain(StateManagerImpl context)` Perform any actions necesssary and return the proper lifecycle state on transaction rollback with the retainValues flag set.

Methods inherited from class com.solarmetric.kodo.runtime.JDOState
`afterNontransactionalRefresh, afterOptimisticRefresh, afterRefresh, beforeCommit, beforeFlush, beforeNontransactionalRead, beforeNontransactionalWrite, deletePersistent, error, evict, isFlushed, isNew, makePersistent, makeTransactional`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDeletedState

    PDeletedState()

Method Detail

### initialize

    void initialize(StateManagerImpl context)

  Description copied from class: `JDOState`
  Called when this state is first assigned to the given state manager.
  Overrides:
    `initialize` in class `JDOState`

### flush

    JDOState flush(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on transaction flush. This is only invoked when the user explicitly invokes `PersistenceManagerImpl.flush()`. That is, it is not invoked when flushing due to a commit operation. That is Returns the `this` pointer by default.
  Overrides:
    `flush` in class `JDOState`

### commit

    JDOState commit(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on transaction commit. Returns the `this` pointer by default.
  Overrides:
    `commit` in class `JDOState`

### commitRetain

    JDOState commitRetain(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on transaction commit with the retainValues flag set. Returns the `this` pointer by default.
  Overrides:
    `commitRetain` in class `JDOState`

### rollback

    JDOState rollback(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on transaction rollback. Returns the `this` pointer by default.
  Overrides:
    `rollback` in class `JDOState`

### rollbackRetain

    JDOState rollbackRetain(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on transaction rollback with the retainValues flag set. Returns the `this` pointer by default.
  Overrides:
    `rollbackRetain` in class `JDOState`

### makeNontransactional

    JDOState makeNontransactional(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeNontransactional(java.lang.Object)` with the given instance. Returns the `this` pointer by default.
  Overrides:
    `makeNontransactional` in class `JDOState`

### makeTransient

    JDOState makeTransient(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state on a call to `PersistenceManager.makeTransient(java.lang.Object)` with the given instance. Returns the `this` pointer by default.
  Overrides:
    `makeTransient` in class `JDOState`

### beforeRead

    JDOState beforeRead(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read within an active transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeRead` in class `JDOState`

### beforeWrite

    JDOState beforeWrite(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an active transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeWrite` in class `JDOState`

### beforeOptimisticRead

    JDOState beforeOptimisticRead(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being read in an optimistic transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeOptimisticRead` in class `JDOState`

### beforeOptimisticWrite

    JDOState beforeOptimisticWrite(StateManagerImpl context)

  Description copied from class: `JDOState`
  Perform any actions necesssary and return the proper lifecycle state prior to the state of the given instance being written within an optimistic transaction. Returns the `this` pointer by default.
  Overrides:
    `beforeOptimisticWrite` in class `JDOState`

### isTransactional

    boolean isTransactional()

  Description copied from class: `JDOState`
  Return whether this is a transactional state. Returns `false` by default.
  Overrides:
    `isTransactional` in class `JDOState`

### isPersistent

    boolean isPersistent()

  Description copied from class: `JDOState`
  Return whether this is a persistent state. Returns `false` by default.
  Overrides:
    `isPersistent` in class `JDOState`

### isDeleted

    boolean isDeleted()

  Description copied from class: `JDOState`
  Return whether this is a deleted state. Returns `false` by default.
  Overrides:
    `isDeleted` in class `JDOState`

### isDirty

    boolean isDirty()

  Description copied from class: `JDOState`
  Return whether this is a dirty state. Returns `false` by default.
  Overrides:
    `isDirty` in class `JDOState`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.